"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSentinel = exports.createCluster = exports.createClient = void 0;
const client_1 = require("@redis/client");
const bloom_1 = __importDefault(require("@redis/bloom"));
const json_1 = __importDefault(require("@redis/json"));
const search_1 = __importDefault(require("@redis/search"));
const time_series_1 = __importDefault(require("@redis/time-series"));
// export * from '@redis/client';
// export * from '@redis/bloom';
// export * from '@redis/json';
// export * from '@redis/search';
// export * from '@redis/time-series';
const modules = {
    ...bloom_1.default,
    json: json_1.default,
    ft: search_1.default,
    ts: time_series_1.default
};
function createClient(options) {
    return (0, client_1.createClient)({
        ...options,
        modules: {
            ...modules,
            ...options?.modules
        }
    });
}
exports.createClient = createClient;
function createCluster(options) {
    return (0, client_1.createCluster)({
        ...options,
        modules: {
            ...modules,
            ...options?.modules
        }
    });
}
exports.createCluster = createCluster;
function createSentinel(options) {
    return (0, client_1.createSentinel)({
        ...options,
        modules: {
            ...modules,
            ...options?.modules
        }
    });
}
exports.createSentinel = createSentinel;
//# sourceMappingURL=index.js.map